<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides product categories
 *
 * @package    OSB
 * @subpackage Page
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Controller_Product_Category extends Controller_TemplateDefault {
	/**
	 * By default show a menu of available categories
	 */
	public function action_index() {
		Request::current()->redirect('product_category/list');
	}

	public function action_list() {
		Block::add(array(
			'title'=>_('Product Categories'),
			'body'=>View::factory('product/category/list')
				->set('results',$this->_get_categories()),
			));
	}

	/**
	 * Obtain a list of our categories
	 * @todo Only show categories according to the users group memeberhsip
	 * @todo Obey sort order
	 * @todo Move this to the model
	 */
	private function _get_categories() {
		return ORM::factory('product_category')
			->where('status','=',TRUE)
			->find_all();
	}
}
?>
